commit:     2531159a321c752005fab2b572d0cea8fe2e814c
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Sep  6 11:34:49 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Sep  6 11:46:15 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2531159a

sec-keys/openpgp-keys-andresimon: Refresh to 20240906

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 sec-keys/openpgp-keys-andresimon/Manifest          |  1 +
 .../openpgp-keys-andresimon-20240906.ebuild        | 22 ++++++++++++++++++++++
 2 files changed, 23 insertions(+)

diff --git a/sec-keys/openpgp-keys-andresimon/Manifest 
b/sec-keys/openpgp-keys-andresimon/Manifest
index a6b7be4d70e4..7aceb0e0398e 100644
--- a/sec-keys/openpgp-keys-andresimon/Manifest
+++ b/sec-keys/openpgp-keys-andresimon/Manifest
@@ -1 +1,2 @@
+DIST B8C55574187F49180EDC763750FE0279D805A7C7.v2.asc 4519 BLAKE2B 
723900405c26400cc238eee931dcac22affee80aa1b27323929f6ac6b61f71c1ed3043adf255ec61bbb121d6cf1ad6e495b844dfc1c674dfacf14cef8d06fbf0
 SHA512 
96e45cf91ff72e1f45e1edc74f5e5c1964a6b2d49880033b52a2c6a459ecdd8aaeced27c3f0041b9ed6f1515c42e432951dbdb9b917a5f3403a91202b29c5240
 DIST 
openpgp-keys-andresimon-20230830-B8C55574187F49180EDC763750FE0279D805A7C7.asc 
2208 BLAKE2B 
9b269d5aaa3b581a262012c5f950ccf87a1f61e0e556bb156156191918f2f1dade61b99d20f9f2dc381dafdedc4c19be82ebebe45ff3e9de1e77c6bf2165fd63
 SHA512 
f22110469f198b0d20204aea1257734279c916603cf59626a83ca7b482b33aa3e1f8b05c12e1b0f1ab6719bbea3530ebc6b15e5821281226fc0e8f2046068705

diff --git 
a/sec-keys/openpgp-keys-andresimon/openpgp-keys-andresimon-20240906.ebuild 
b/sec-keys/openpgp-keys-andresimon/openpgp-keys-andresimon-20240906.ebuild
new file mode 100644
index 000000000000..ccf064d205a8
--- /dev/null
+++ b/sec-keys/openpgp-keys-andresimon/openpgp-keys-andresimon-20240906.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="OpenPGP keys used by Andre Simon"
+HOMEPAGE="http://andre-simon.de/zip/download.php#gpgsig";
+SRC_URI="
+       
https://keyserver.ubuntu.com/pks/lookup?op=get&search=0xb8c55574187f49180edc763750fe0279d805a7c7
+               -> B8C55574187F49180EDC763750FE0279D805A7C7.v2.asc
+"
+S="${WORKDIR}"
+
+LICENSE="public-domain"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86"
+
+src_install() {
+       local files=( ${A} )
+       insinto /usr/share/openpgp-keys
+       newins - andresimon.asc < <(cat "${files[@]/#/${DISTDIR}/}" || die)
+}

Reply via email to